package controller

import (
	"net/http"

	"elasticstream/source"

	"github.com/gin-gonic/gin"
)

func Ack(c *gin.Context) {
	var req source.Position

	err := c.BindJSON(&req)
	if err != nil {
		c.Status(http.StatusBadRequest)
		return
	}

	err = client.Ack(c, req)
	if err != nil {
		c.Status(http.StatusInternalServerError)
		return
	}
	c.Status(http.StatusOK)
}
