package elastic

import (
	"context"
	"fmt"

	"elasticstream/config"
)

func (c *Client) Configure(ctx context.Context, cfg *config.Config) error {

	if c == nil || c.ch == nil {
		return fmt.Errorf("error source not opened for reading")
	}

	c.cfg = cfg
	return nil
}
