package controller

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

func Read(c *gin.Context) {

	// Read data from the client
	data, err := client.Read(c)
	if err != nil {
		c.Status(http.StatusInternalServerError)
		return
	}
	c.JSON(http.StatusOK, data)
}
