package main

import (
	"log"

	"elasticstream/controller"

	"github.com/gin-gonic/gin"
)

func main() {

	log.SetFlags(log.LstdFlags | log.Lshortfile)

	r := gin.Default()

	r.GET("/open", controller.Open)
	r.GET("/read", controller.Read)
	r.GET("/ack", controller.Ack)
	r.GET("/close", controller.Close)

	r.Run(":8080")
}
